org.apache.cassandra.service

## Class MigrationManager

- java.lang.Object
- - org.apache.cassandra.service.MigrationManager

-     public class MigrationManager
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `MigrationManager.MigrationsSerializer`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static MigrationManager` | `instance`
    `static int` | `MIGRATION_DELAY_IN_MS`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `announceColumnFamilyDrop(java.lang.String ksName, java.lang.String cfName)`
    `static void` | `announceColumnFamilyUpdate(CFMetaData cfm)`
    `static void` | `announceKeyspaceDrop(java.lang.String ksName)`
    `static void` | `announceKeyspaceUpdate(KSMetaData ksm)`
    `static void` | `announceNewColumnFamily(CFMetaData cfm)`
    `static void` | `announceNewKeyspace(KSMetaData ksm)`
    `static void` | `announceNewKeyspace(KSMetaData ksm, long timestamp)`
    `static java.util.UUID` | `getLastMigrationId()` Deprecated.
    `static boolean` | `isReadyForBootstrap()`
    `void` | `notifyCreateColumnFamily(CFMetaData cfm)`
    `void` | `notifyCreateKeyspace(KSMetaData ksm)`
    `void` | `notifyDropColumnFamily(CFMetaData cfm)`
    `void` | `notifyDropKeyspace(KSMetaData ksm)`
    `void` | `notifyUpdateColumnFamily(CFMetaData cfm)`
    `void` | `notifyUpdateKeyspace(KSMetaData ksm)`
    `static void` | `passiveAnnounce(java.util.UUID version)` Announce my version passively over gossip.
    `void` | `register(IMigrationListener listener)`
    `static void` | `resetLocalSchema()` Clear all locally stored schema information and reset schema to initial state.
    `void` | `scheduleSchemaPull(java.net.InetAddress endpoint, EndpointState state)`
    `void` | `unregister(IMigrationListener listener)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### instance

          public static final MigrationManager instance

    - #### MIGRATION_DELAY_IN_MS

          public static final int MIGRATION_DELAY_IN_MS

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### register

          public void register(IMigrationListener listener)

    - #### unregister

          public void unregister(IMigrationListener listener)

    - #### scheduleSchemaPull

          public void scheduleSchemaPull(java.net.InetAddress endpoint,
                                EndpointState state)

    - #### isReadyForBootstrap

          public static boolean isReadyForBootstrap()

    - #### notifyCreateKeyspace

          public void notifyCreateKeyspace(KSMetaData ksm)

    - #### notifyCreateColumnFamily

          public void notifyCreateColumnFamily(CFMetaData cfm)

    - #### notifyUpdateKeyspace

          public void notifyUpdateKeyspace(KSMetaData ksm)

    - #### notifyUpdateColumnFamily

          public void notifyUpdateColumnFamily(CFMetaData cfm)

    - #### notifyDropKeyspace

          public void notifyDropKeyspace(KSMetaData ksm)

    - #### notifyDropColumnFamily

          public void notifyDropColumnFamily(CFMetaData cfm)

    - #### announceNewKeyspace

          public static void announceNewKeyspace(KSMetaData ksm)
                                          throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### announceNewKeyspace

          public static void announceNewKeyspace(KSMetaData ksm,
                                 long timestamp)
                                          throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### announceNewColumnFamily

          public static void announceNewColumnFamily(CFMetaData cfm)
                                              throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### announceKeyspaceUpdate

          public static void announceKeyspaceUpdate(KSMetaData ksm)
                                             throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### announceColumnFamilyUpdate

          public static void announceColumnFamilyUpdate(CFMetaData cfm)
                                                 throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### announceKeyspaceDrop

          public static void announceKeyspaceDrop(java.lang.String ksName)
                                           throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### announceColumnFamilyDrop

          public static void announceColumnFamilyDrop(java.lang.String ksName,
                                      java.lang.String cfName)
                                               throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### passiveAnnounce

          public static void passiveAnnounce(java.util.UUID version)

      Announce my version passively over gossip. Used to notify nodes as they arrive in the cluster.
      Parameters:
        `version` - The schema version to announce

    - #### resetLocalSchema

          public static void resetLocalSchema()
                                       throws java.io.IOException

      Clear all locally stored schema information and reset schema to initial state. Called by user (via JMX) who wants to get rid of schema disagreement.
      Throws:
        `java.io.IOException` - if schema tables truncation fails

    - #### getLastMigrationId

          @Deprecated
          public static java.util.UUID getLastMigrationId()

      Deprecated.
      Used only in case node has old style migration schema (newly updated)
      Returns:
        the UUID identifying version of the last applied migration

Copyright © 2014 The Apache Software Foundation